New URL for NEMO forge!   http://forge.nemo-ocean.eu

Since March 2022 along with NEMO 4.2 release, the code development moved to a self-hosted GitLab.
This present forge is now archived and remained online for history.
#663 (OPA modified Leap-Frog Robert-Asselin filter (MLF)) – NEMO

Opened 12 years ago

Closed 12 years ago

Last modified 6 years ago

#663 closed Enhancement (fixed)

OPA modified Leap-Frog Robert-Asselin filter (MLF)

Reported by: gm Owned by: gurvan Madec & Matthieu Leclair
Priority: normal Milestone:
Component: OCE Version: trunk
Severity: Keywords: time-stepping
Cc:

Description

Introduce the modified Leap-Frog Robert-Asselin filter to fit the one presented in Leclair and Madec Ocean Modelling (2009).

The main remaining modifications concern :

(1) forcing terms as a mean between time step n-1/2 and n+1/2 (sbcmod)

(2) Asselin filter: remove the forcing from the filter (dynnxt, tranxt, traqsr)

(3) semi-implicit hydrostatic pressure gradient : change the coefficients to take into account the Asselin filter parameter (tranxt)

This update is part of the LOCEAN.8 task (Update of the ocean physics) due by June 25th

Commit History (10)

ChangesetAuthorTimeChangeLog
2112mlelod2010-09-22T16:14:55+02:00

ticket: #663 introduce dia_hsb_init routine (called by opa_init)

2109mlelod2010-09-22T14:44:40+02:00

ticket: #663 allocatable variables in diahsb and remove unnecessary fse3t_d field

2108mlelod2010-09-21T21:52:56+02:00

ticket: #663 add heat/salt/volume budgets

2091mlelod2010-09-14T22:29:38+02:00

ticket: #663 cosmetic changes

2068mlelod2010-09-06T17:56:51+02:00

ticket: #663 ensuring restartability and conservation

2005mlelod2010-07-09T15:07:02+02:00

ticket: #663 MLF: second part (local compatibility essentially)

1975mlelod2010-06-28T19:22:14+02:00

ticket: #663 MLF: first part

1870gm2010-05-12T17:36:00+02:00

ticket: #663 step-1 : introduce the modified forcing term

1847gm2010-04-21T15:38:47+02:00

MFL: change the time averaged in the semi-implicit hpg (tranxt) see ticket #663

1844gm2010-04-21T13:11:08+02:00

OPA modified Leap-Frog Robert-Asselin filter (MLF), see ticket #663

Change History (4)

comment:1 Changed 12 years ago by gm

  • Resolution set to fixed
  • Status changed from new to closed

done and validated in the v3.3 beta

comment:2 Changed 6 years ago by nicolasmartin

  • Milestone 2010 Stream 3: Developments & Implementation of new features deleted

Milestone 2010 Stream 3: Developments & Implementation of new features deleted

comment:3 Changed 6 years ago by nicolasmartin

  • Keywords time-stepping added; stepping removed

comment:4 Changed 6 years ago by nicolasmartin

  • Keywords time removed
Note: See TracTickets for help on using tickets.